Форум русскоязычного сообщества Ubuntu


Получить помощь и пообщаться с другими пользователями Ubuntu можно
на irc канале #ubuntu-ru в сети Freenode
и в Jabber конференции ubuntu@conference.jabber.ru

Автор Тема: проблемы с установкой через apt-get, а именно с ssh и pulseaudio  (Прочитано 952 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн MrAcroMan

  • Автор темы
  • Новичок
  • *
  • Сообщений: 14
    • Просмотр профиля
Вот что выдает копьютер при попытке установить SSH (анологично с PulseAudio)
sudo apt-get install ssh
[sudo] пароль для acroman1:
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Возможно, для исправления этих ошибок вы захотите воспользоваться «apt-get -f install».
Пакеты, имеющие неудовлетворённые зависимости:
 gstreamer1.0-vaapi : Зависит: libgstreamer-plugins-bad1.0-0 (>= 1.12.4) но он не будет установлен
                      Зависит: libgstreamer-plugins-bad1.0-0 (< 1.13) но он не будет установлен
 ssh : Зависит: openssh-client (>= 1:7.6p1-4)
       Зависит: openssh-server (>= 1:7.6p1-4)
E: Неудовлетворённые зависимости. Попытайтесь выполнить «apt --fix-broken install», не указывая имени пакета, (или найдите другое решение).
root@AcroMans--comp:/home/acroman1# apt --fix-broken install
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Исправление зависимостей… Готово
Следующий пакет устанавливался автоматически и больше не требуется:
  gcc-7-base:i386
Для его удаления используйте «sudo apt autoremove».
Будут установлены следующие дополнительные пакеты:
  libgstreamer-plugins-bad1.0-0
НОВЫЕ пакеты, которые будут установлены:
  libgstreamer-plugins-bad1.0-0
Обновлено 0 пакетов, установлено 1 новых пакетов, для удаления отмечено 0 пакетов, и 1399 пакетов не обновлено.
Установлено или удалено не до конца 45 пакетов.
Необходимо скачать 0 B/1 955 kB архивов.
После данной операции, объём занятого дискового пространства возрастёт на 2 981 kB.
Хотите продолжить? [Д/н] д
(Чтение базы данных … на данный момент установлено 268098 файлов и каталогов.)
Подготовка к распаковке …/libgstreamer-plugins-bad1.0-0_1.12.4-2+b1_amd64.deb …
Распаковывается libgstreamer-plugins-bad1.0-0:amd64 (1.12.4-2+b1) …
dpkg: ошибка при обработке архива /var/cache/apt/archives/libgstreamer-plugins-bad1.0-0_1.12.4-2+b1_amd64.deb (--unpack):
 попытка перезаписать «/usr/lib/x86_64-linux-gnu/libgstbasecamerabinsrc-1.0.so.0», который уже имеется в пакете libgstreamer-plugins-good1.0-0:amd64 1.12.3-1ubuntu1
При обработке следующих пакетов произошли ошибки:
 /var/cache/apt/archives/libgstreamer-plugins-bad1.0-0_1.12.4-2+b1_amd64.deb 

ТС не появлялся на Форуме более полугода по состоянию на 22/07/2019 (последняя явка: 25/05/2018). Модератором раздела принято решение закрыть тему.
--zg_nico
« Последнее редактирование: 22 Июль 2019, 14:42:29 от zg_nico »

Оффлайн ARTGALGANO

  • Заслуженный пользователь
  • Старожил
  • *
  • Сообщений: 1936
    • Просмотр профиля

Чтото ставили вручную, или в обход пакменеджера?
sudo mv /usr/lib/x86_64-linux-gnu/libgstbasecamerabinsrc-1.0.so.0{,.old}и апгрейд


Оффлайн MrAcroMan

  • Автор темы
  • Новичок
  • *
  • Сообщений: 14
    • Просмотр профиля
Чтото ставили вручную, или в обход пакменеджера?
Возможно, я сам не понял что произошло.

sudo mv /usr/lib/x86_64-linux-gnu/libgstbasecamerabinsrc-1.0.so.0{,.old}
mv: не удалось выполнить stat для '/usr/lib/x86_64-linux-gnu/libgstbasecamerabinsrc-1.0.so.0': Нет такого файла или каталога

Оффлайн ARTGALGANO

  • Заслуженный пользователь
  • Старожил
  • *
  • Сообщений: 1936
    • Просмотр профиля
ls -l  /usr/lib/x86_64-linux-gnu/libgstbasecamerabinsrc*немного исправил
« Последнее редактирование: 24 Февраль 2018, 20:26:33 от ARTGALGANO »

Оффлайн ALiEN175

  • Модератор форума
  • Старожил
  • *
  • Сообщений: 4250
  • Capture the truth
    • Просмотр профиля
MrAcroMan,версия ubuntu?
ASUS P5K-C :: Intel Xeon E5450 :: 8 GB RAM :: Nvidia 8500GT :: XFCE
SAMSUNG N150 :: Intel Atom N450 :: 2 GB RAM :: Intel GMA3150 :: XFCE

Оффлайн MrAcroMan

  • Автор темы
  • Новичок
  • *
  • Сообщений: 14
    • Просмотр профиля
версия ubuntu?
Kubuntu 17.10

Пользователь добавил сообщение 24 Февраль 2018, 20:35:25:
ls -l  /usr/lib/x86_64-linux-gnu/libgstbasecamerabinsrc*
acroman1@AcroMans--comp:~$ ls -l  /usr/lib/x86_64-linux-gnu/libgstbasecamerabinsrc*
-rw-r--r-- 1 root root 27264 сен 22 21:03 /usr/lib/x86_64-linux-gnu/libgstbasecamerabinsrc-1.0.so.0.1203.0
lrwxrwxrwx 1 root root    38 дек  3 00:27 /usr/lib/x86_64-linux-gnu/libgstbasecamerabinsrc-1.0.so.0.old -> libgstbasecamerabinsrc-1.0.so.0.1203.0
« Последнее редактирование: 24 Февраль 2018, 20:35:25 от MrAcroMan »

Оффлайн ARTGALGANO

  • Заслуженный пользователь
  • Старожил
  • *
  • Сообщений: 1936
    • Просмотр профиля
MrAcroMan, да  это была  ссылка на /usr/lib/x86_64-linux-gnu/libgstbasecamerabinsrc-1.0.so.0.1203.0, можно было сразу удалить.
И далее апгрейд

Оффлайн MrAcroMan

  • Автор темы
  • Новичок
  • *
  • Сообщений: 14
    • Просмотр профиля
MrAcroMan, да  это была  ссылка на /usr/lib/x86_64-linux-gnu/libgstbasecamerabinsrc-1.0.so.0.1203.0, можно было сразу удалить.
И далее апгрейд 

Ошибка осталась

[codedpkg: ошибка при обработке архива /var/cache/apt/archives/libgstreamer-plugins-bad1.0-0_1.12.4-2+b1_amd64.deb (--unpack):
 попытка перезаписать «/usr/lib/x86_64-linux-gnu/libgstbasecamerabinsrc-1.0.so.0», который уже имеется в пакете libgstreamer-plugins-good1.0-0:amd64 1.12.3-1ubuntu1
При обработке следующих пакетов произошли ошибки:
 /var/cache/apt/archives/libgstreamer-plugins-bad1.0-0_1.12.4-2+b1_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
root@AcroMans--comp:/home/acroman1# ^C
root@AcroMans--comp:/home/acroman1# rm -v /usr/lib/x86_64-linux-gnu/libgstbasecamerabinsrc-1.0.so.0
rm: невозможно удалить '/usr/lib/x86_64-linux-gnu/libgstbasecamerabinsrc-1.0.so.0': Нет такого файла или каталога
« Последнее редактирование: 24 Февраль 2018, 21:04:08 от MrAcroMan »

Оффлайн ARTGALGANO

  • Заслуженный пользователь
  • Старожил
  • *
  • Сообщений: 1936
    • Просмотр профиля
Репов левых нет?
В этом пакете вообще нет libgstbasecamerabinsrc



Оффлайн MrAcroMan

  • Автор темы
  • Новичок
  • *
  • Сообщений: 14
    • Просмотр профиля
Репов левых нет?
Честно признаюсь, я не знаю.

Оффлайн ARTGALGANO

  • Заслуженный пользователь
  • Старожил
  • *
  • Сообщений: 1936
    • Просмотр профиля
этот пакет от дебиана,
отключите репы дебиановские
grep -Ev '^#|^$' /etc/apt/sources.list{,.d/*.list}и ссылу вернуть на место надо
sudo mv /usr/lib/x86_64-linux-gnu/libgstbasecamerabinsrc-1.0.so.0{.old,}
« Последнее редактирование: 24 Февраль 2018, 22:32:54 от ARTGALGANO »

Оффлайн MrAcroMan

  • Автор темы
  • Новичок
  • *
  • Сообщений: 14
    • Просмотр профиля
sudo mv /usr/lib/x86_64-linux-gnu/libgstbasecamerabinsrc-1.0.so.0{.old,}
acroman1@AcroMans--comp:~$ grep -Ev '^#|^$' /etc/apt/sources.list{,.d/*.list}                                                                                             
/etc/apt/sources.list:deb http://ru.archive.ubuntu.com/ubuntu/ artful main restricted
/etc/apt/sources.list:deb http://ru.archive.ubuntu.com/ubuntu/ artful-updates main restricted
/etc/apt/sources.list:deb http://ru.archive.ubuntu.com/ubuntu/ artful universe
/etc/apt/sources.list:deb http://ru.archive.ubuntu.com/ubuntu/ artful-updates universe
/etc/apt/sources.list:deb http://ru.archive.ubuntu.com/ubuntu/ artful multiverse
/etc/apt/sources.list:deb http://ru.archive.ubuntu.com/ubuntu/ artful-updates multiverse
/etc/apt/sources.list:deb http://ru.archive.ubuntu.com/ubuntu/ artful-backports main restricted universe multiverse
/etc/apt/sources.list:deb http://security.ubuntu.com/ubuntu artful-security main restricted
/etc/apt/sources.list:deb http://security.ubuntu.com/ubuntu artful-security universe
/etc/apt/sources.list:deb http://security.ubuntu.com/ubuntu artful-security multiverse
/etc/apt/sources.list:deb http://http.kali.org/kali kali-rolling main contrib non-free
/etc/apt/sources.list.d/diesch-ubuntu-testing-artful.list:deb http://ppa.launchpad.net/diesch/testing/ubuntu artful main
/etc/apt/sources.list.d/fkrull-ubuntu-deadsnakes-artful.list:deb http://ppa.launchpad.net/fkrull/deadsnakes/ubuntu artful main
/etc/apt/sources.list.d/steam.list:deb [arch=amd64,i386] http://repo.steampowered.com/steam/ precise steam
/etc/apt/sources.list.d/steam.list:deb-src [arch=amd64,i386] http://repo.steampowered.com/steam/ precise steam
/etc/apt/sources.list.d/sublime-text.list:deb https://download.sublimetext.com/ apt/stable/
/etc/apt/sources.list.d/ubuntu-audio-dev-ubuntu-ppa-artful.list:deb http://ppa.launchpad.net/ubuntu-audio-dev/ppa/ubuntu artful main
/etc/apt/sources.list.d/wine-hq.list:deb https://dl.winehq.org/wine-builds/ubuntu/ (lsb_release -cs) main
acroman1@AcroMans--comp:~$ sudo mv /usr/lib/x86_64-linux-gnu/libgstbasecamerabinsrc-1.0.so.0{.old,}
mv: не удалось выполнить stat для '/usr/lib/x86_64-linux-gnu/libgstbasecamerabinsrc-1.0.so.0.old': Нет такого файла или каталога

Оффлайн ARTGALGANO

  • Заслуженный пользователь
  • Старожил
  • *
  • Сообщений: 1936
    • Просмотр профиля

самые подозрительные
sudo mv /etc/apt/sources.list.d/ubuntu-audio-dev-ubuntu-ppa-artful.list{,.bak}
sudo sed 's/.*kali/#&/' -i /etc/apt/sources.list
sudo ln -s /usr/lib/x86_64-linux-gnu/libgstbasecamerabinsrc-1.0.so.0.1203.0 /usr/lib/x86_64-linux-gnu/libgstbasecamerabinsrc-1.0.so.0


sudo apt clean
sudo apt update
sudo apt install ssh
?

Оффлайн MrAcroMan

  • Автор темы
  • Новичок
  • *
  • Сообщений: 14
    • Просмотр профиля
?
Тоже самое...

Пользователь добавил сообщение 25 Февраль 2018, 05:30:15:
sudo mv /etc/apt/sources.list.d/ubuntu-audio-dev-ubuntu-ppa-artful.list{,.bak}

Этого утверждает нет в каталоге

sudo sed 's/.*kali/#&/' -i /etc/apt/sources.list

С кали всё норм было

sudo ln -s /usr/lib/x86_64-linux-gnu/libgstbasecamerabinsrc-1.0.so.0.1203.0 /usr/lib/x86_64-linux-gnu/libgstbasecamerabinsrc-1.0.so.0

Этот создал
« Последнее редактирование: 25 Февраль 2018, 05:31:49 от MrAcroMan »

Оффлайн ARTGALGANO

  • Заслуженный пользователь
  • Старожил
  • *
  • Сообщений: 1936
    • Просмотр профиля
MrAcroMan, как так нет?


/etc/apt/sources.list.d/ubuntu-audio-dev-ubuntu-ppa-artful.list
должен быть он  там
grep audio-dev /etc/apt/sources.list.d/*закомментируйте строку , или переименовать/удалить
#deb http://ppa.launchpad.net/ubuntu-audio-dev/ppa/ubuntu artful main


 

Страница сгенерирована за 0.189 секунд. Запросов: 22.